FreeBSD : LibreOffice -- Remote arbitrary file disclosure vulnerability via WEBSERVICE formula (289269f1-0def-11e8-99b0-d017c2987f9a)

critical Nessus Plugin ID 106993

Language:

Synopsis

The remote FreeBSD host is missing one or more security-related updates.

Description

LibreOffice reports :

LibreOffice Calc supports a WEBSERVICE function to obtain data by URL.
Vulnerable versions of LibreOffice allow WEBSERVICE to take a local file URL (e.g file://) which can be used to inject local files into the spreadsheet without warning the user. Subsequent formulas can operate on that inserted data and construct a remote URL whose path leaks the local data to a remote attacker.

In later versions of LibreOffice without this flaw, WEBSERVICE has now been limited to accessing http and https URLs along with bringing WEBSERVICE URLs under LibreOffice Calc's link management infrastructure.

Note: This vulnerability has been identified upstream as CVE-2018-1055, but NVD/Mitre are advising it's a reservation duplicate of CVE-2018-6871 which should be used instead.

Solution

Update the affected packages.

See Also

http://www.nessus.org/u?c8372621

http://www.nessus.org/u?5cc78a77

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=225797

http://www.nessus.org/u?d6ea6a8b

Plugin Details

Severity: Critical

ID: 106993

File Name: freebsd_pkg_289269f10def11e899b0d017c2987f9a.nasl

Version: 3.6

Type: local

Published: 2/26/2018

Updated: 7/10/2019

Risk Information

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: Medium

Base Score: 5

Temporal Score: 3.9

Vector: AV:N/AC:L/Au:N/C:P/I:N/A:N

Temporal Vector: E:POC/RL:OF/RC:C

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Temporal Score: 8.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: E:P/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:libreoffice, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2/23/2018

Vulnerability Publication Date: 2/9/2018

Reference Information

CVE: CVE-2018-6871